/*
 *  Bulk Transfer
 *   2002 Cypress Semiconductor
 *
 */

# include  <stdlib.h>
# include  <stdio.h>
# include  <getopt.h>
 
# include  <string.h>
# include  <sys/ioctl.h>
# include  <sys/types.h>
# include  <sys/stat.h>
# include  <fcntl.h>

# include  <linux/ioctl.h>
# include  <linux/usbdevice_fs.h>

int main(int argc, char*argv[])
{
    int			opt;
	char 		fname[256];
	const char	*buf;
	
	struct usbdevfs_bulktransfer bulk;
	int fd, rc;
	
    while ((opt = getopt(argc, argv, "c:")) != EOF)
      switch (opt) {
		case 'c':
	    	buf = optarg;
	    	break;
	    default:
	    	break;
	  }
	 
	scanf("%s",fname);	
	
	// open the device
	if ((fd = open(fname,O_RDWR)) < 0)
	{
		printf("file open error\n");
		return -1;
	}
	
			bulk.ep = 2;
			bulk.len = 1;
			bulk.timeout = 100;
			bulk.data = (void *)buf;

			if (ioctl(fd, USBDEVFS_BULK, &bulk) < 0)
			{
				printf("bulk xfer error\n");
				return -1;
			}
	
    return 0;
}

